h11651
s 00001/00001/00027
d D 1.3 85/06/03 18:03:05 dock 3 2
c update date and version
e
s 00001/00001/00027
d D 1.2 84/11/09 03:19:29 dock 2 1
c updated version and date
e
s 00028/00000/00000
d D 1.1 84/11/01 22:37:22 dock 1 0
c date and time created 84/11/01 22:37:22 by dock
e
u
U
t
T
I 1
/* dname.src -- debugger name version and revision are kept here
 * copyright (c) 1984  American Information Systems Corporation
 *  Dock Williams
 *  October, 1984
 *
 *	Changed by fixrev() to dname.c
 *
 */

struct dname {
    char *name;
    char *date;
    short ver;
    short rev;
D 2
} dname = { "AIS/3200 RAM-Monitor", "September 1984\n", 2 , 1 };
E 2
I 2
D 3
} dname = { "AIS/3200 RAM-Monitor", "October 1984\n", 3 , 0 };
E 3
I 3
} dname = { "AIS/3200 RAM-Monitor", "May 1984\n", 4 , 0 };
E 3
E 2

prdname(dflag)
{
    extern char copyright[];
    extern char corporation[];

    if (!dflag)  printf("\n                ");
    printf("%s  (V%d.%d)", dname.name ,dname.ver, dname.rev);
    if (dflag)
	printf("            %s",dname.date);
    else
	printf("%s%s\n", copyright, corporation);
}
E 1
